Subject: [lamps] New Version Notification for draft-housley-cms-mix-with-psk-04.txt

From: Russ Housley <[email-masked]>
Date: Tue, 3 Apr 2018 16:22:07 -0400

A new version of I-D, draft-housley-cms-mix-with-psk-04.txt
has been successfully submitted by Russell Housley and posted to the
IETF repository.

Name:		draft-housley-cms-mix-with-psk
Revision:	04
Title:		Using Pre-Shared Key (PSK) in the Cryptographic Message Syntax (CMS)
Document date:	2018-04-03
Group:		Individual Submission
Pages:		14
URL:            https://www.ietf.org/internet-drafts/draft-housley-cms-mix-with-psk-04.txt
Status:         https://datatracker.ietf.org/doc/draft-housley-cms-mix-with-psk/
Htmlized:       https://tools.ietf.org/html/draft-housley-cms-mix-with-psk-04
Htmlized:       https://datatracker.ietf.org/doc/html/draft-housley-cms-mix-with-psk
Diff:           https://www.ietf.org/rfcdiff?url2=draft-housley-cms-mix-with-psk-04

Abstract:
  The invention of a large-scale quantum computer would pose a serious
  challenge for the cryptographic algorithms that are widely deployed
  today.  The Cryptographic Message Syntax (CMS) supports key transport
  and key agreement algorithms that could be broken by the invention of
  such a quantum computer.  By storing communications that are
  protected with the CMS today, someone could decrypt them in the
  future when a large-scale quantum computer becomes available.  Once
  quantum-secure key management algorithms are available, the CMS will
  be extended to support them, if current syntax the does not
  accommodated them.  In the near-term, this document describes a
  mechanism to protect today's communication from the future invention
  of a large-scale quantum computer by mixing the output of key
  transport and key agreement algorithms with a pre-shared key.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat